> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easystreetoffers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Push to Marketplace

> Push to Marketplace



## OpenAPI

````yaml post /push-to-marketplace
openapi: 3.0.1
info:
  title: OpenAPI ESO
  description: ESO
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://v2.easystreetoffers.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /push-to-marketplace:
    post:
      description: Push to Marketplace
      requestBody:
        description: New offer request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/push_to_marketplace'
            example:
              request:
                inventory_property_id: 3900000
                expiration_date: null
        required: true
      responses:
        '200':
          description: successful request
          content:
            application/json:
              example:
                success: true
                message: >-
                  Property posted to marketplace successfully. Processing
                  opportunities in background.
                inventory_property_id: 12345
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    push_to_marketplace:
      type: object
      required:
        - inventory_property_id
      properties:
        inventory_property_id:
          type: integer
          format: bigint
        expiration_date:
          type: string
          format: date
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````